EDIT - bug #6333

Add existing media to a taxon description is not persisted
01/17/2017 10:28 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.5

Severity: normal Found in Version:

Description

When adding an existing media to a taxon the description shows up correctly, but after changing the view and come back to the
media view the selected media is not shown anymore and it is not possible to save it.

Associated revisions

Revision 5b66699 - 01/18/2017 09:16 AM - Patrick Plitzner

ref #6333 Add generic support for entity collection sections to allow
adding existing entities

e this is done by two abstract methods allowAddExisting() and addExisting()
Revision d89cdff1 - 01/18/2017 09:28 AM - Patrick Plitzner
ref #6333 Remove framework for exchanging an element in the details view

e This is against the concept of the DetailsView just showing an element which you can edit. Changing the element requires the DetailsView to
know where the element comes from

History

#1 - 01/17/2017 01:29 PM - Patrick Plitzner
- Status changed from New to In Progress

- Target version changed from Unassigned CDM tickets to Release 4.5

#2 - 01/18/2017 09:32 AM - Patrick Plitzner
- Status changed from In Progress to Resolved

- Assignee changed from Patrick Plitzner to Katja Luther

| removed the option to change an existing media element in the DetailsView. Instead we should add the option to add existing media when creating
the element. This was already implemented in e.g. the Media view and in the Specimen Editor. | added generic support to do so to the entity
collection section super class and implemented it for the media collection section. Adding existing media should now be possible in the Specimen
Editor, the media view and in the supplemental data view for e.g. Persons.

#3 - 03/04/2022 05:34 PM - Andreas Miiller

- Subject changed from add existing media to a taxon description is not persisted to Add existing media to a taxon description is not persisted
- Description updated

- Status changed from Resolved to Closed

- % Done changed from 0 to 100

The solution sounds reasonable and it seems to work.
